Skip to content

getMaintenanceSchedulesByLocation

READ

Get maintenance schedules by location.

POST /api/v1/resources/getMaintenanceSchedulesByLocation
curl -X POST '<your-host>/api/v1/resources/getMaintenanceSchedulesByLocation' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "locationId": "string"
  }'
Response
{
  "results": [
    {
      "active": true,
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "description": "string",
      "estimatedDuration": 0,
      "frequency": "Daily",
      "friday": true,
      "id": "string",
      "lastGeneratedAt": "string",
      "locationId": "string",
      "locationName": "string",
      "monday": true,
      "name": "string",
      "nextDueAt": "string",
      "priority": "Low",
      "saturday": true,
      "sunday": true,
      "takesWorkCenterOffline": true,
      "thursday": true,
      "tuesday": true,
      "updatedAt": "string",
      "updatedBy": "string",
      "wednesday": true,
      "workCenterId": "string",
      "workCenterName": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "locationId": {
      "type": "string"
    },
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        },
        "active": {
          "type": "boolean"
        }
      }
    }
  },
  "required": [
    "locationId"
  ]
}